CVE-2010-4042

CRITICAL
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Google Chrome before 7.0.517.41 does not properly handle element maps, which allows remote attackers to cause a denial of service or possibly have unspecified other impact via vectors related to "stale elements."

References

http://code.google.com/p/chromium/issues/detail?id=56451

http://googlechromereleases.blogspot.com/2010/10/stable-channel-update.html

http://lists.opensuse.org/opensuse-security-announce/2011-05/msg00005.html

http://secunia.com/advisories/41888

http://www.securityfocus.com/bid/44241

http://www.vupen.com/english/advisories/2010/2731

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6654

Details

Source: MITRE

Published: 2010-10-21

Updated: 2020-07-31

Type: CWE-20

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

CVSS v3

Base Score: 9.8

Vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 3.9

Severity: CRITICAL

Tenable Plugins

View all (10 total)

IDNameProductFamilySeverity
79962GLSA-201412-09 : Multiple packages, Multiple vulnerabilities fixed in 2011NessusGentoo Local Security Checks
critical
75630openSUSE Security Update : libwebkit (openSUSE-SU-2011:0482-1)NessusSuSE Local Security Checks
critical
55967Ubuntu 10.04 LTS / 10.10 : webkit vulnerabilities (USN-1195-1)NessusUbuntu Local Security Checks
critical
55453SuSE 11.1 Security Update : webkit (SAT Patch Number 4765)NessusSuSE Local Security Checks
critical
53886openSUSE Security Update : libwebkit (openSUSE-SU-2011:0482-1)NessusSuSE Local Security Checks
critical
52018Fedora 13 : webkitgtk-1.2.7-1.fc13 (2011-1224)NessusFedora Local Security Checks
critical
51950FreeBSD : webkit-gtk2 -- Multiple vurnabilities. (35ecdcbe-3501-11e0-afcd-0015f2db7bde)NessusFreeBSD Local Security Checks
critical
800924Google Chrome < 7.0.517.41 Multiple VulnerabilitiesLog Correlation EngineWeb Clients
high
5680Google Chrome < 7.0.517.41 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
medium
50049Google Chrome < 7.0.517.41 Multiple VulnerabilitiesNessusWindows
high